wibble::tests::TestBool< A > Struct Template Reference

`#include <tests.h>`

## Public Member Functions

| TestBool (const A &actual, bool inverted=false)
TestBool< A > | operator! ()
void | check (WIBBLE_TEST_LOCPRM) const

## Public Attributes

const A & | actual
bool | inverted

## Constructor & Destructor Documentation

template<typename A>

wibble::tests::TestBool< A >::TestBool | ( | const A & | actual,
|  | bool | inverted = `false`
| ) |  |

inline

Referenced by wibble::tests::TestBool< A >::operator!().

## Member Function Documentation

template<typename A>

void wibble::tests::TestBool< A >::check | ( | WIBBLE_TEST_LOCPRM |  | ) | const

inline

References wibble::tests::Location::fail_test().

template<typename A>

TestBool<A> wibble::tests::TestBool< A >::operator! | ( |  | ) |

inline

References wibble::tests::TestBool< A >::TestBool().

## Member Data Documentation

template<typename A>

const A& wibble::tests::TestBool< A >::actual

template<typename A>

bool wibble::tests::TestBool< A >::inverted

The documentation for this struct was generated from the following file:

- tests.h